Package com.sun.jna.platform.mac

## Class CoreFoundation.CFNumberRef

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.CoreFoundation.CFTypeRef
    - - com.sun.jna.platform.mac.CoreFoundation.CFNumberRef

- All Implemented Interfaces:
    `NativeMapped`
  Enclosing interface:
    CoreFoundation

      public static class CoreFoundation.CFNumberRef
      extends CoreFoundation.CFTypeRef

  A reference to a `CFNumber` object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CFNumberRef()` |
    `CFNumberRef​(Pointer p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte` | `byteValue()` | Convert this `CFNumber` to a `byte`.
    `double` | `doubleValue()` | Convert this `CFNumber` to a `double`.
    `float` | `floatValue()` | Convert this `CFNumber` to a `float`.
    `int` | `intValue()` | Convert this `CFNumber` to an `int`.
    `long` | `longValue()` | Convert this `CFNumber` to a `long`.
    `short` | `shortValue()` | Convert this `CFNumber` to a `short`.

    - ### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

      `getTypeID, isTypeID, release, retain`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CFNumberRef

          public CFNumberRef()

    - #### CFNumberRef

          public CFNumberRef​(Pointer p)

  - ### Method Detail

    - #### longValue

          public long longValue()

      Convert this `CFNumber` to a `long`.

      This method assumes a 64-bit integer is stored and does not do type checking. Users should use `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)` to determine the appropriate type conversion. If this object's type differs from the return type, and the conversion is lossy or the return value is out of range, then this method returns an approximate value.

      Returns:
        The corresponding `long`

    - #### intValue

          public int intValue()

      Convert this `CFNumber` to an `int`.

      This method assumes a 32-bit integer is stored and does not do type checking. Users should use `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)` to determine the appropriate type conversion. If this object's type differs from the return type, and the conversion is lossy or the return value is out of range, then this method returns an approximate value.

      Returns:
        The corresponding `int`

    - #### shortValue

          public short shortValue()

      Convert this `CFNumber` to a `short`.

      This method assumes a 16-bit integer is stored and does not do type checking. Users should use `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)` to determine the appropriate type conversion. If this object's type differs from the return type, and the conversion is lossy or the return value is out of range, then this method returns an approximate value.

      Returns:
        The corresponding `short`

    - #### byteValue

          public byte byteValue()

      Convert this `CFNumber` to a `byte`.

      This method assumes an 8-bit integer is stored and does not do type checking. Users should use `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)` to determine the appropriate type conversion. If this object's type differs from the return type, and the conversion is lossy or the return value is out of range, then this method returns an approximate value.

      Returns:
        The corresponding `byte`

    - #### doubleValue

          public double doubleValue()

      Convert this `CFNumber` to a `double`.

      This method assumes a 64-bit floating point value is stored and does not do type checking. Users should use `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)` to determine the appropriate type conversion. If this object's type differs from the return type, and the conversion is lossy or the return value is out of range, then this method returns an approximate value.

      Returns:
        The corresponding `double`

    - #### floatValue

          public float floatValue()

      Convert this `CFNumber` to a `float`.

      This method assumes a 32-bit floating point value is stored and does not do type checking. Users should use `CoreFoundation.CFNumberGetType(com.sun.jna.platform.mac.CoreFoundation.CFNumberRef)` to determine the appropriate type conversion. If this object's type differs from the return type, and the conversion is lossy or the return value is out of range, then this method returns an approximate value.

      Returns:
        The corresponding `float`